Bug 1272982 - [abrt] midori: std::swap<WTF::StringImpl*>(): midori killed by SIGSEGV
[abrt] midori: std::swap<WTF::StringImpl*>(): midori killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:89dd20e170d2431ff080bfac55b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 07:13 EDT by Stéphane Gourichon
Modified: 2016-12-20 10:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:03:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.05 KB, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details
File: core_backtrace (5.29 KB, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details
File: dso_list (14.42 KB, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details
File: environ (1.40 KB, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details
File: exploitable (110 bytes, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details
File: maps (84.10 KB, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details
File: mountinfo (3.42 KB, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details
File: open_fds (4.73 KB, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details
File: var_log_messages (307 bytes, text/plain)
2015-10-19 07:13 EDT, Stéphane Gourichon
no flags Details

  None (edit)
Description Stéphane Gourichon 2015-10-19 07:13:08 EDT
Description of problem:
Just installed Fedora 23 XFCE TC11 (in low graphics mode as normal mode could not proceed to graphics mode, laptop runs on nVidia optimus). Got 1920x1080 with reasonable performance. After a few minute of using midori web client to edit a wiki page (of a redmine server), including copy-pastes between midori windows and between leafpad and midori and success in saving some edits, sudden crash of midori. Several midori windows and tabs were open. Nothing special, haven't experienced it a second time, so have not enough matter to provide a formal bug report with steps to reproduce etc. Thank you for your attention.

Version-Release number of selected component:
midori-0.5.10-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/midori
crash_function: std::swap<WTF::StringImpl*>
executable:     /usr/bin/midori
global_pid:     2862
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 std::swap<WTF::StringImpl*> at /usr/include/c++/5.1.1/bits/move.h:185
 #1 WTF::RefPtr<WTF::StringImpl>::swap at Source/WTF/wtf/RefPtr.h:164
 #2 WTF::RefPtr<WTF::StringImpl>::operator= at Source/WTF/wtf/RefPtr.h:130
 #3 WTF::String::operator=(WTF::String&&) at Source/WTF/wtf/text/WTFString.h:134
 #4 WebCore::Clipboard::setDestinationOperation at Source/WebCore/dom/Clipboard.cpp:382
 #5 WebCore::EventHandler::dragSourceEndedAt at Source/WebCore/page/EventHandler.cpp:3148
 #6 webkit_web_view_drag_end at Source/WebKit/gtk/webkit/webkitwebview.cpp:1544
 #7 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:2102
 #8 _g_closure_invoke_va at gclosure.c:864
 #10 g_signal_emit_by_name at gsignal.c:3479
Comment 1 Stéphane Gourichon 2015-10-19 07:13:12 EDT
Created attachment 1084336 [details]
File: backtrace
Comment 2 Stéphane Gourichon 2015-10-19 07:13:13 EDT
Created attachment 1084337 [details]
File: cgroup
Comment 3 Stéphane Gourichon 2015-10-19 07:13:15 EDT
Created attachment 1084338 [details]
File: core_backtrace
Comment 4 Stéphane Gourichon 2015-10-19 07:13:16 EDT
Created attachment 1084339 [details]
File: dso_list
Comment 5 Stéphane Gourichon 2015-10-19 07:13:18 EDT
Created attachment 1084340 [details]
File: environ
Comment 6 Stéphane Gourichon 2015-10-19 07:13:20 EDT
Created attachment 1084341 [details]
File: exploitable
Comment 7 Stéphane Gourichon 2015-10-19 07:13:21 EDT
Created attachment 1084342 [details]
File: limits
Comment 8 Stéphane Gourichon 2015-10-19 07:13:23 EDT
Created attachment 1084343 [details]
File: maps
Comment 9 Stéphane Gourichon 2015-10-19 07:13:25 EDT
Created attachment 1084344 [details]
File: mountinfo
Comment 10 Stéphane Gourichon 2015-10-19 07:13:26 EDT
Created attachment 1084345 [details]
File: open_fds
Comment 11 Stéphane Gourichon 2015-10-19 07:13:28 EDT
Created attachment 1084346 [details]
File: proc_pid_status
Comment 12 Stéphane Gourichon 2015-10-19 07:13:29 EDT
Created attachment 1084347 [details]
File: var_log_messages
Comment 13 Kevin Fenzi 2015-10-19 15:40:50 EDT
Thanks for the report. I will see if I can make anything of the backtrace...
Comment 14 Fedora End Of Life 2016-11-24 07:50:22 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:03:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.